import request from '@/utils/request'

// 获取分享图
export const getStoreInfo = (param) => {
  return request.post('store/getStoreInfo', param)
} 

// 邀请有礼 邀请好友海报
export const InviteUserPoster = (param) => {
  return request.post('user/InviteUserPoster', param)
} 

// 邀请有礼 记录
export const inviteGetList = (param) => {
  return request.post('invite/getList', param)
} 

// 邀请有礼
export const inviteInit = (param) => {
  return request.post('invite/index', param)
} 

// 足迹列表 删除
export const goodsBrowseDel = (param) => {
  return request.get('goods/browseDel', param)
} 

// 足迹列表
export const goodsBrowseLog = (param) => {
  return request.get('goods/browseLog', param)
} 

// 上门回收 门店列表
export const storeList = (param) => {
  return request.get('shop/list', param)
} 

// 上门回收 回收列表
export const recoveryRecoveryList = (param) => {
  return request.post('recovery/recoveryList', param)
}
export const recoveryCategoryList = (param) => {
  return request.post('recovery/categoryList', param)
}
// 上门回收 提交
export const addOrder = (param) => {
  return request.post('recovery/addOrder', param)
}
// 上门回收列表
export const orderList = (param) => {
  return request.post('recovery/orderList', param)
}
// 上门回收物流
export const expressAll = (param) => {
  return request.get('express/list', param)
}
// 上门回收预约时间
export const stopTimes = (param) => {
  return request.post('shop/stopTimes', param)
}
// 上门回收预约时间
export const updateOrderStatus = (param) => {
  return request.post('recovery/updateOrderStatus', param)
}
// 上门回收编辑
export const updateOrder = (param) => {
  return request.post('recovery/updateOrder', param)
}
// 上门回收tab状态
export const orderStatus = (param) => {
  return request.post('recovery/orderStatus', param)
}
// 上门回收取消
export const cancelOrder = (param) => {
  return request.post('recovery/cancelOrder', param)
}
// 上门回收取消
export const completeOrder = (param) => {
  return request.post('recovery/completeOrder', param)
}
// 上门回收详情
export const orderDetail = (param) => {
  return request.post('recovery/orderDetail', param)
}
// 服务 服务订单完成
export const serverConfirmSuccess = (param) => {
  return request.post('server/confirmSuccess', param)
}

// 服务 服务订单详情
export const serverOrderDetails = (param) => {
  return request.post('server/orderDetails', param)
}

// 服务 服务订单派单
export const serverDispatchOrders = (param) => {
  return request.post('server/dispatchOrders', param)
}

// 服务 服务订单列表 派单
export const serverGetEngineer = (param) => {
  return request.post('server/getEngineer', param)
}

// 服务 服务订单列表 取消
export const serverCancelOrder = (param) => {
  return request.post('server/cancelOrder', param)
}

// 服务 服务订单列表 服务订单状态
export const serverOrderInfoStatus = (param) => {
  return request.post('server/orderStatus', param)
}

// 服务 服务订单列表
export const serverOrderList = (param) => {
  return request.post('server/orderList', param)
}

// 服务 创建服务订单 服务订单支付信息
export const serverOrderInfo = (param) => {
  return request.post('server/orderInfo', param)
}

// 服务 创建服务订单 余额支付
export const serverOrderPay = (param) => {
  return request.post('server/orderPay', param)
}

// 服务 创建服务订单
export const serverCreateOrder = (param) => {
  return request.post('server/createOrder', param)
}

// 服务 服务列表 查询优惠券
export const serverCheckOrder = (param) => {
  return request.post('server/checkOrder', param)
}

// 服务 服务列表
export const serverList = (param) => {
  return request.post('server/list', param)
}

// 服务 服务分类
export const serverCategoryList = (param) => {
  return request.post('server/categoryList', param)
}

// 店长 商品列表
export const storeKeeperList = (param) => {
  return request.get('storeKeeper/list', param)
}

// 门店详情
export const storeKeeperDetail = (shopId) => {
  return request.get('shop/detail', { shopId })
}

// 店长 删除/批量删除
export const delGoods = (param) => {
  return request.post('storeKeeper/delete', param)
}
//店长  商品订单
export const shopOrderList = (param) => {
  return request.get('storeKeeper/orderList', param)
}
//店长--发货
export const sendGoods = (param) => {
  return request.post('storeKeeper/delivery', param)
}
//店长==物流列表
export const wuliuList = (param) => {
  return request.post('storeKeeper/expressAll', param)
}
//店长  修改价格
export const updatePrice = (param) => {
  return request.post('storeKeeper/updatePrice', param)
}
//店长  修改物流
export const updateDelivery = (param) => {
  return request.post('StoreKeeper/updateDelivery', param)
}
//店长  修改地址
export const updateAddress = (param) => {
  return request.post('StoreKeeper/updateAddress', param)
}
//店长 查地址
export const addressList = (param) => {
  return request.post('store/getAddressList', param)
}
// 店长同意拒绝
export const audit = (param) => {
  return request.post('storeKeeper/audit', param)
}
// 店长删除订单
export const oderDelete = (param) => {
  return request.post('storeKeeper/oderDelete', param)
}
//地址智能识别
export const analysis = (param) => {
  return request.get('address/analysis', param)
}
//物流查询
export const expressSearch = (param) => {
  return request.get('order/expressSearch', param)
}
// 发货记录---店长
export const deliveryList = (param) => {
  return request.get('order/transferList', param)
}
// 手动录入---店长
export const addTransfer = (param) => {
  return request.post('order/addTransfer', param)
}
// 记录编辑---店长
export const editTransfer = (param) => {
  return request.post('order/editTransfer', param)
}
// 数据统计
export const statistics = (param) => {
  return request.post('data/statistics', param)
}
// 会员分类
export const category = (param) => {
  return request.post('category/list', param)
}
// 会员分类新增
export const setStorePrice = (param) => {
  return request.post('store/setStorePrice', param)
}
// 会员分类xiangqing
export const getStorePriceInfo = (param) => {
  return request.get('store/getStorePriceInfo', param)
}
// 会员分类xiangqing
export const editStore = (param) => {
  return request.post('store/editStore', param)
}
// 会员分类xiangqing
export const storeData = (param) => {
  return request.get('store/data', param)
}
// 一键新增
export const collectorList = (param) => {
  return request.post('goods.collector/list', param)
}
export const editCollector = (param) => {
  return request.post('goods.collector/batch', param)
}
// 运费模版
export const deliveryall = (param) => {
  return request.post('setting/deliveryall', param)
}
// 安装包修
export const maintenance = (param) => {
  return request.get('/user/maintenance', param)
}